function E0090()
    MNA()CMU("CS_Vivi")FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")FAI(4)
end

function GoPeaceTownFirefly()
    PRI()FAO(1)TRA("CS_peace_town_firefly","E0093",5,14)
end

function GoPeaceTownFireCaveGate()
    PRI()FAO(3)TRA("CS_peace_town_firecave_gate","E0091",36,20)
end

function CatchFirefly()
    if(ITC("Firefly") < 20) then
        PRI()
        GIT("Firefly")
        ITP("Firefly")
        SOU("CS_038_get_item")
        FLP(EID())
        DNP()
        MS4("抓到了萤火虫，")NOD()
        CAT("\n现在有"..ITC("Firefly").."只。")NOD()CLR()
        if(ITC("Firefly") == 20) then
            KEY()MS4("萤火虫的数量已经够了，")NOD()
            CAT("\n不需要抓更多了。")NOD()
        end
    else
        PRI()MS4("萤火虫的数量已经够了，")NOD()
        CAT("\n不需要抓更多了。")NOD()
    end
end